package net.javase.hksup.starter.model;

import com.alibaba.fastjson2.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * UserInfoDetail
 *
 * @author Frank
 */
@Getter
@Setter
public class UserInfoDetail implements Serializable {

    private String mode;

    @JSONField(name = "EmployeeNoList")
    private List<EmployeeNo> employeeNoList;

    @Getter
    @Setter
    @AllArgsConstructor
    public static class EmployeeNo {

        private String employeeNo;
    }

}
